> ## Documentation Index
> Fetch the complete documentation index at: https://developer.finogates.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Phone Number Status

> Switch a user's phone number on or off.



## OpenAPI

````yaml PUT /v1/platform/phone-numbers/users/{user_id}/{phone_number_id}
openapi: 3.1.0
info:
  title: Finogate Platform API v1
  version: 0.1.0
servers:
  - url: https://api-sandbox.finogates.com
    description: Sandbox
  - url: https://api.finogates.com
    description: Production
security: []
tags:
  - name: auth
  - name: users
  - name: payees
  - name: verification
  - name: bank accounts
  - name: card processing
  - name: digital-assets
  - name: international
  - name: onboarding
  - name: pending-applications
  - name: wallets
  - name: payments
  - name: catalog
  - name: webhooks
  - name: phone-numbers
  - name: sms
  - name: calls
  - name: listings
  - name: embed-tokens
paths:
  /v1/platform/phone-numbers/users/{user_id}/{phone_number_id}:
    put:
      tags:
        - phone-numbers
      summary: Switch a Phone Number On or Off
      description: Switch a user's phone number on or off.
      operationId: >-
        update_phone_number_status_endpoint_v1_platform_phone_numbers_users__user_id___phone_number_id__put
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            title: User Id
        - name: phone_number_id
          in: path
          required: true
          schema:
            type: string
            title: Phone Number Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PhoneNumberStatusUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PhoneNumberRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - _AuthenticatedBearer: []
components:
  schemas:
    PhoneNumberStatusUpdate:
      properties:
        status:
          type: integer
          title: Status
      type: object
      required:
        - status
      title: PhoneNumberStatusUpdate
      description: Update phone number status (enable/disable).
    PhoneNumberRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        phone_number:
          type: string
          title: Phone Number
        friendly_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Friendly Name
        iso_country:
          anyOf:
            - type: string
            - type: 'null'
          title: Iso Country
        status:
          type: integer
          title: Status
        is_deleted:
          type: boolean
          title: Is Deleted
          default: false
        created_at:
          type: string
          format: date-time
          title: Created At
        payment_intent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Payment Intent Id
      type: object
      required:
        - id
        - phone_number
        - friendly_name
        - status
        - created_at
      title: PhoneNumberRead
      description: Tenant-facing phone number (provider identifiers hidden).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    _AuthenticatedBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v1/platform/auth/token

````